%def_enable alsa
%def_enable oss
%def_enable arts
%def_enable esd
%def_enable pulseaudio
%def_enable audacious
%def_enable bmp
%def_enable xmms

Name: xmp
Version: 2.5.1
Release: alt2

Summary: Extended Module Player
Summary(ru_RU.KOI8-R): XMP -    .
License: GPL
Group: Sound
Url: http://xmp.sourceforge.net
Packager: Yury Aliaev <mutabor@altlinux.ru>

Source: http://prdownloads.sourceforge.net/xmp/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
Source2: x%{name}.desktop
Patch: %{name}-2.5.1-pw_done-upstream.patch
Patch1: %{name}-2.5.1-audacious-extension-mappings-deb.patch
Patch2: %{name}-2.5.1-xxmp.patch.bz2
#Disabled but remained...
Patch3: %{name}-2.5.1-shared.patch

Provides: %name-console = %version-%release
Requires: %name-common = %version-%release

Obsoletes: %{name}-alsa, %{name}-arts, %{name}-esd, %{name}-oss

%if_enabled alsa
BuildPreReq: libalsa-devel
%endif
%if_enabled esd
BuildPreReq: esound-devel
%endif
%if_enabled pulseaudio
BuildPreReq: libpulseaudio-devel
%endif
%if_enabled arts
BuildPreReq: libarts-devel
%endif

%if_enabled audacious
BuildRequires: libaudacious-devel
%endif
%if_enabled bmp
BuildRequires: libbeep-devel
%endif
%if_enabled xmms
BuildRequires: libxmms-devel
%endif

# Automatically added by buildreq on Fri Jan 09 2004
BuildRequires: libaudiofile-devel libICE-devel libXext-devel xorg-cf-files desktop-file-utils

%description
The Extended Module Player is a modplayer for Unix-like systems that plays
over 80 mainstream and obscure module formats from Amiga, Atari, Acorn,
Apple IIgs and PC, including Protracker (MOD), Scream Tracker 3 (S3M), Fast
Tracker II (XM) and Impulse Tracker (IT) files.

In machines with GUS or AWE cards xmp takes advantage of the OSS
sequencer to play modules with virtually no system load. Using software
mixing, xmp plays at sampling rates up to 48kHz in mono or stereo, 8 or
16 bits, signed or unsigned, little or big endian samples with 32 bit
linear interpolation.

This package contains xmp, the console player.

%description -l ru_RU.KOI8-R
XMP (Extended Module Player) -   ,
   ,    
   e  ,  
  GUS  AWE  ,   
.        . 
    .

   XMP  .

%package X11
Summary: X11 version of Extended Module Player
Summary(ru_RU.KOI8-R): XMP   .
Group: Sound
Provides: xxmp
Provides: %name = %version-%release
Requires: %name-common = %version-%release

%description X11
This package contains xxmp, the XMP sound player with X11 support.

%description -l ru_RU.KOI8-R X11
  XMP (Extended Module Player)   .

%package common
Summary: Common files needed for Extended Module Player
Summary(ru_RU.KOI8-R): ,      XMP
Group: Sound
Provides: lib%name.so

%description common
This package contains the dynamic library and config files for XMP.

%description -l ru_RU.KOI8-R common
        XMP.
(Extended Module Player)

%package doc
Summary: Documentation for Extended Module Player
Summary(ru_RU.KOI8-R):   XMP
Group: Sound
Conflicts: %name < %version-%release

%description doc
This package contains documentation for Extended Module Player

%description -l ru_RU.KOI8-R doc
    XMP (Extended Module Player).

%if_enabled xmms
%package -n xmms-in-%name
Summary: Extended Module Player XMMS input plugin
Summary(ru_RU.KOI8-R):    XMMS
Group: Sound
Obsoletes: xmms-%name
Provides: xmms-%name = %version-%release
Requires: %name-common = %version-%release
Requires: xmms

%define _xmms_input_plugin_dir %(xmms-config --input-plugin-dir)

%description -n xmms-in-%name
This package contains a XMMS plugin based on xmp. 
WARNING: When using the XMMS plugin, it's advisable to disable the
mikmod plugin (otherwise XMMS may get confused and eventually crash).

%description -l ru_RU.KOI8-R -n xmms-in-%name
     XMP,    
XMMS. ,   XMP   mikmod,  
   XMMS.
%endif

%if_enabled bmp
%package -n beep-in-%name
Summary: Extended Module Player BMP input plugin
Summary(ru_RU.KOI8-R):    Beep Media Player
Group: Sound
Requires: %name-common = %version-%release
Requires: beep

%description -n beep-in-%name
This package contains a BMP plugin based on xmp.
WARNING: When using the BMP plugin, it's advisable to disable the
mikmod plugin (otherwise BMP may get confused and eventually crash).

%description -l ru_RU.KOI8-R -n beep-in-%name
     XMP,    
Beep Media Player. ,   XMP  
mikmod,      BMP.
%endif

%if_enabled audacious
%package -n audacious-in-%name
Summary: Extended Module Player Audacious input plugin
Summary(ru_RU.KOI8-R):    Audacious
Group: Sound
Requires: %name-common = %version-%release
Requires: audacious

%define _audacious_input_plugin_dir %(pkg-config --variable=input_plugin_dir audacious)

%description -n audacious-in-%name
This package contains a Audacious plugin based on xmp. 
WARNING: When using the Audacious plugin, it's advisable to disable the
mikmod plugin (otherwise Audacious may get confused and eventually crash).

%description -l ru_RU.KOI8-R -n audacious-in-%name
     XMP,    
Audacious. ,   XMP  
mikmod,      Audacious.
%endif

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1

%build
autoconf

PLUGINS=""
%if_enabled audacious
PLUGINS="$PLUGINS --enable-audacious-plugin"
%endif
%if_enabled bmp
PLUGINS="$PLUGINS --enable-bmp-plugin"
%endif
%if_enabled xmms
PLUGINS="$PLUGINS --enable-xmms-plugin"
%endif

%configure --with-x --prefix=%buildroot %{subst_enable esd} %{subst_enable pulseaudio} \
%{subst_enable arts} %{subst_enable oss} %{subst_enable alsa} $PLUGINS

# SMP-incompatible build
%make

%install

%make DESTDIR=%buildroot install

# install doc
%__mkdir_p %buildroot%_docdir/%name-%version
%__cp -R README docs/README.* docs/ChangeLog docs/CREDITS docs/formats \
	%buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_desktopdir
%__cp %SOURCE1 %SOURCE2 %buildroot%_desktopdir

%post
%update_desktopdb

%post X11
%update_desktopdb

%postun
%clean_desktopdb

%postun X11
%clean_desktopdb

%files
%_bindir/%{name}
%_man1dir/%{name}.*
%_desktopdir/%{name}.desktop

%files X11
%_bindir/x%{name}
%_desktopdir/x%{name}.desktop

%files common
%config %_sysconfdir/*

%files doc
%_docdir/%name-%version/* 

%if_enabled xmms
%files -n xmms-in-%name
%_xmms_input_plugin_dir/*.so
%endif

%if_enabled bmp
%files -n beep-in-%name
%_beep_input_dir/*.so
%endif

%if_enabled audacious
%files -n audacious-in-%name
%_audacious_input_plugin_dir/*.so
%endif

%changelog
* Wed Jul 23 2008 Yury Aliaev <mutabor@altlinux.org> 2.5.1-alt2
- X11 support kept back by patch
- added obsoletes to former xmp-2.0.x subpackages
- added desktop entries for xmp and xxmp
- removed BuildRequirement to kernel-headers-std. AWE wavetable seems
  not supported in modern kernels :-(

* Tue May 29 2008 Yury Aliaev <mutabor@altlinux.org> 2.5.1-alt1
- new version
- new plugins for BMP and Audacious

* Tue Apr 17 2007 Yury Aliaev <mutabor@altlinux.org> 2.0.5-alt2pre3
- introduced ALSA 1.x support from Debian
- introduced OPL3 emulation from Mandrake

* Sat Dec 09 2006 Yury Aliaev <mutabor@altlinux.org> 2.0.5-alt1pre3
- fixed compilation with gcc4 (a lot of thanks to Debian maintainers)
- fixed buildreq
- fixed build with as-needed ld option

* Fri Jan 14 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt0.9pre3
- fixed build with gcc-3.4.

* Fri Jan 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt0.8pre3
- fix build with gcc-3.3 (mdk patch).

* Tue Dec 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt0.7pre3
- fix TEXTREL bug.

* Mon Sep 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt0.6pre3
- Build with new XFree86.
- gcc-3.2 used.
- buildreqs updated.

* Sat Jan 5 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.5-alt0.5pre3
- Adopted for Sisyphus.
- doc package and other major changes.

* Thu Nov 08 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- spec file cleanups
- fixed missing includes
- added aRts driver
- split OSS drivers from main package
- package descriptions cleanups
- renamed all packages containing drivers to xmp-driver-*
- prepare specfile for ALSA support (can someone with alsa-libs
  uncomment relevant lines and recompile?)

* Thu Aug 23 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- define the _xmms_input_plugin_dir macro within the specfile

* Fri Mar 16 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- update to 2.0.5pre3
- work around "XMP_LIB_PATH not set" bug

* Wed Mar 07 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- fixed *stupid* dynamic library loading bug

* Fri Jan 26 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- new upstream release: 2.0.4
  * Added driver for synthesized sounds
  * Added Tatsuyuki Satoh's YM3812 emulator
  * Added support to The Player 6.0a modules (using Sylvain "Asle"
    Chipaux's P60A loader)
  * Added seek capability to XMMS plugin
  * Added (very) experimental AIX driver
  * Added support to dynamic linked drivers (for better packaging)
  * Fixed external drivers problem with the XMMS plugin (reported
    by greg <gjones@computelnet.com>)
  * Started adding support to MED 1.11, 1.12, 2.00 and 3.22
  * Replaced RPM spec with Dominik Mierzejewski's version
- new package layout: xmp-common, xmp, xmp-x11, xmp-xmms, xmp-esound
- alsa support still disabled in binary packages, because I don't have
  alsa installed - get SRPM and rebuild if you want it

* Fri Jan 12 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- fixed %install section
- removed redundant install paths patch

* Sun Jan 07 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- a small patch to remove stupid warning in src/xmms/plugin.c
- merged distributed changelog
- merged distributed spec
- added a build-time autoconfiguration of xmms' input plugin dir
  (requires my custom macro in ~/.rpmmacros)
- changed Group: fields to valid group from current GROUPS file (rpm-4.0-4)

* Sat Jan 06 2001 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- new upstream release: 2.0.3
  * fixes in configure.in
  * support for gcc 2.96 (possibly incomplete)
  * support for RAR packed files
  * improved powerpacker decrunching
  * IT lowpass filters in the software mixer
  * misc minor bugfixes
- removed my gcc.patch (merged into the main source)
- updated xmms-install-paths.patch and spec %install section
- new subpackage descriptions
- added new doc files to %files sections

* Mon Nov 20 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- corrected X11 subpackage Requires: to XFree86-libs
- removed X11 subpackage dependency on textmode version

* Sun Oct 08 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- added a patch to compile under gcc 2.96 (still needs some work)
- modified paths to be FHS compatible

* Mon May 15 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- split the xmms plugin into a separate subpackage

* Mon May 15 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- split the X11 version into a separate subpackage
- added build dependency for xmms-devel and XFree86-devel

* Mon May 15 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- new upstream release: 2.0.2
  * fixed sample size for MED synth instruments
  * fixed the set offset effect for (offset > sample length) bug
  * fixed S3M tone portamento bug introduced in 2.0.1
  * fixed option --fix-sample-loops
  * improved Noisetracker and Octalyser module detection
  * fixed UNIC tracker and Mod's Grave module detection
  * fixed Protracker song detection
  * fixed event loading in S3M
  * fixed ALSA 0.5 driver
  * removed calls to tempnam(3)

* Thu Feb 24 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- new upstream release: 2.0.1
  * endianism problems in Linux/PPC (Amiga) fixed
  * added enhanced NetBSD/OpenBSD drivers
  * fixed sample loop detection bug in the MOD loader
  * ALSA 0.5 support fixes
  * added extra sanity tests for 15 instrument MODs
  * fixed pathname for Protracker song sample loading
  * fixed XM loader for nonstandard mods
  * added workaround for IT fine global volume slides
  * added support for EXO4/EXO8 Startrekker/Audio Sculpture modules
  * added support for Soundtracker 2.6/Ice Tracker modules
  * MED synth instruments MUCH better now (but still far from perfection)
  * fixed S3M instrument retriggering on portamento bug

* Fri Feb 04 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- updated to 2.0.0 final
- changed the etc/Makefile patch to work with new version

* Fri Jan 14 2000 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- fixed .spec and rebuilt for RH6.1
- added a patch for etc/Makefile to put conf files in $RPM_BUILD_ROOT

* Thu Sep 16 1999 Dominik Mierzejewski <dmierzej@elka.pw.edu.pl>
- built package for RH6 (no ALSA support)
